<?php


class Encuesta133
{
    public $encuesta133Id;
    public $nombreAlumno;
    public $userId;
    public $pregunta1;
    public $pregunta2;
    public $pregunta3;
    public $pregunta4;
    public $pregunta5;
    public $pregunta6;
    public $pregunta7;
    public $pregunta8;
    public $pregunta9;
    public $pregunta10;
    public $pregunta11;
    public $pregunta12;
    public $pregunta13;
    public $pregunta14;
    public $pregunta15;
    public $pregunta16;
    public $pregunta17;
    public $pregunta18;
    public $pregunta19;
    public $pregunta20;
    public $pregunta21;
    public $pregunta22;
    public $pregunta23;
    public $pregunta24;
    public $pregunta25;
    public $pregunta26;
    public $pregunta27;
    public $pregunta28;
    public $pregunta29;
    public $pregunta30;
    public $pregunta31;
    public $pregunta32;
    public $pregunta33;
    public $pregunta34;
    public $pregunta35;
    public $pregunta36;
    public $pregunta37;
    public $pregunta38;
    public $pregunta39;
    public $pregunta40;
    public $pregunta41;
    public $pregunta42;
    public $fechaRegistro;
    public $seccionEncuesta;
    public $fechaUltimaActualizacion;
    public $fechaTermino;
    public $puntosEncuesta;
    public $semaforoEncuesta;
    public $imagenGrafica;

    private $configuracionBD;
    private $conexionBD;
    public $query;

    function __construct()
    {
        $this->configuracionBD = new ConfiguracionBD();
        $this->conexionBD = $this->configuracionBD->getConexionLocal();
    }

    function registrarInstruccionesEncuesta133()
    {
        try
        {
            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="INSERT INTO tiempoma_encuestas1.encuesta133 (id,nombrealumno,userid,fecharegistro,seccionencuesta,fechaultimaactualizacion)
            VALUES(NULL,'".$this->nombreAlumno."','".$this->userId."',NOW(),'seccion1',NOW())";
            $resultadoRegitro = $this->conexionBD->query($this->query);
            //echo "<br>queryInstrucciones: ".$this->query;
            //die();
            if($resultadoRegitro)
                return $this->conexionBD->insert_id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion1Encuesta133()
    {
        try
        {
            if($this->pregunta1=="on"){$this->pregunta1=1;}else{$this->pregunta1=0;}
            if($this->pregunta2=="on"){$this->pregunta2=1;}else{$this->pregunta2=0;}
            if($this->pregunta3=="on"){$this->pregunta3=1;}else{$this->pregunta3=0;}
            if($this->pregunta4=="on"){$this->pregunta4=1;}else{$this->pregunta4=0;}
            if($this->pregunta5=="on"){$this->pregunta5=1;}else{$this->pregunta5=0;}
            if($this->pregunta6=="on"){$this->pregunta6=1;}else{$this->pregunta6=0;}
            if($this->pregunta7=="on"){$this->pregunta7=1;}else{$this->pregunta7=0;}
            if($this->pregunta8=="on"){$this->pregunta8=1;}else{$this->pregunta8=0;}
            if($this->pregunta9=="on"){$this->pregunta9=1;}else{$this->pregunta9=0;}
            if($this->pregunta10=="on"){$this->pregunta10=1;}else{$this->pregunta10=0;}
            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET pregunta1='".$this->pregunta1."',
            pregunta2='".$this->pregunta2."',
            pregunta3='".$this->pregunta3."',
            pregunta4='".$this->pregunta4."',
            pregunta5='".$this->pregunta5."',
            pregunta6='".$this->pregunta6."',
            pregunta7='".$this->pregunta7."',
            pregunta8='".$this->pregunta8."',
            pregunta9='".$this->pregunta9."',
            pregunta10='".$this->pregunta10."',
            seccionencuesta='seccion2',
            fechaultimaactualizacion=NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
                return $this->encuesta133Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion2Encuesta133()
    {
        try
        {
            if($this->pregunta11=="on"){$this->pregunta11=1;}else{$this->pregunta11=0;}
            if($this->pregunta12=="on"){$this->pregunta12=1;}else{$this->pregunta12=0;}
            if($this->pregunta13=="on"){$this->pregunta13=1;}else{$this->pregunta13=0;}
            if($this->pregunta14=="on"){$this->pregunta14=1;}else{$this->pregunta14=0;}
            if($this->pregunta15=="on"){$this->pregunta15=1;}else{$this->pregunta15=0;}
            if($this->pregunta16=="on"){$this->pregunta16=1;}else{$this->pregunta16=0;}
            if($this->pregunta17=="on"){$this->pregunta17=1;}else{$this->pregunta17=0;}
            if($this->pregunta18=="on"){$this->pregunta18=1;}else{$this->pregunta18=0;}
            if($this->pregunta19=="on"){$this->pregunta19=1;}else{$this->pregunta19=0;}
            if($this->pregunta20=="on"){$this->pregunta20=1;}else{$this->pregunta20=0;}

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET pregunta11='".$this->pregunta11."',
            pregunta12='".$this->pregunta12."',
            pregunta13='".$this->pregunta13."',
            pregunta14='".$this->pregunta14."',
            pregunta15='".$this->pregunta15."',
            pregunta16='".$this->pregunta16."',
            pregunta17='".$this->pregunta17."',
            pregunta18='".$this->pregunta18."',
            pregunta19='".$this->pregunta19."',
            pregunta20='".$this->pregunta20."',
            seccionencuesta='seccion3',
            fechaultimaactualizacion=NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
            {
               return $this->encuesta133Id;
            }

            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion3Encuesta133()
    {
        try
        {
            if($this->pregunta21=="on"){$this->pregunta21=1;}else{$this->pregunta21=0;}
            if($this->pregunta22=="on"){$this->pregunta22=1;}else{$this->pregunta22=0;}
            if($this->pregunta23=="on"){$this->pregunta23=1;}else{$this->pregunta23=0;}
            if($this->pregunta24=="on"){$this->pregunta24=1;}else{$this->pregunta24=0;}
            if($this->pregunta25=="on"){$this->pregunta25=1;}else{$this->pregunta25=0;}
            if($this->pregunta26=="on"){$this->pregunta26=1;}else{$this->pregunta26=0;}
            if($this->pregunta27=="on"){$this->pregunta27=1;}else{$this->pregunta27=0;}
            if($this->pregunta28=="on"){$this->pregunta28=1;}else{$this->pregunta28=0;}
            if($this->pregunta29=="on"){$this->pregunta29=1;}else{$this->pregunta29=0;}
            if($this->pregunta30=="on"){$this->pregunta30=1;}else{$this->pregunta30=0;}

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET pregunta21='".$this->pregunta21."',
            pregunta22='".$this->pregunta22."',
            pregunta23='".$this->pregunta23."',
            pregunta24='".$this->pregunta24."',
            pregunta25='".$this->pregunta25."',
            pregunta26='".$this->pregunta26."',
            pregunta27='".$this->pregunta27."',
            pregunta28='".$this->pregunta28."',
            pregunta29='".$this->pregunta29."',
            pregunta30='".$this->pregunta30."',
            seccionencuesta='seccion4',
            fechaultimaactualizacion=NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
            {
                return $this->encuesta133Id;
            }

            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function registrarSeccion4Encuesta133()
    {
        try
        {
            if($this->pregunta31=="on"){$this->pregunta31=1;}else{$this->pregunta31=0;}
            if($this->pregunta32=="on"){$this->pregunta32=1;}else{$this->pregunta32=0;}
            if($this->pregunta33=="on"){$this->pregunta33=1;}else{$this->pregunta33=0;}
            if($this->pregunta34=="on"){$this->pregunta34=1;}else{$this->pregunta34=0;}
            if($this->pregunta35=="on"){$this->pregunta35=1;}else{$this->pregunta35=0;}
            if($this->pregunta36=="on"){$this->pregunta36=1;}else{$this->pregunta36=0;}
            if($this->pregunta37=="on"){$this->pregunta37=1;}else{$this->pregunta37=0;}
            if($this->pregunta38=="on"){$this->pregunta38=1;}else{$this->pregunta38=0;}
            if($this->pregunta39=="on"){$this->pregunta39=1;}else{$this->pregunta39=0;}
            if($this->pregunta40=="on"){$this->pregunta40=1;}else{$this->pregunta40=0;}
            if($this->pregunta41=="on"){$this->pregunta41=1;}else{$this->pregunta41=0;}
            if($this->pregunta42=="on"){$this->pregunta42=1;}else{$this->pregunta42=0;}

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET pregunta31='".$this->pregunta31."',
            pregunta32='".$this->pregunta32."',
            pregunta33='".$this->pregunta33."',
            pregunta34='".$this->pregunta34."',
            pregunta35='".$this->pregunta35."',
            pregunta36='".$this->pregunta36."',
            pregunta37='".$this->pregunta37."',
            pregunta38='".$this->pregunta38."',
            pregunta39='".$this->pregunta39."',
            pregunta40='".$this->pregunta40."',
            pregunta41='".$this->pregunta41."',
            pregunta42='".$this->pregunta42."',
             seccionencuesta='realizada',
            fechaultimaactualizacion=NOW(),
            fechatermino=NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoRegitro = $this->conexionBD->query($this->query);
            if($resultadoRegitro)
            {
                $this->query="UPDATE tiempoma_encuestas1.encuesta133
                SET puntosencuesta = (pregunta1 + pregunta2 + pregunta3 + pregunta4 + pregunta5 + pregunta6 + pregunta7 + pregunta8 + pregunta9 + pregunta10 + pregunta11 + pregunta12 + pregunta13 + pregunta14 + pregunta15 + pregunta16 + pregunta17 + pregunta18 + pregunta19 + pregunta20 + pregunta21 + pregunta22 + pregunta23 + pregunta24 + pregunta25 + pregunta26 + pregunta27 + pregunta28 + pregunta29 + pregunta30 + pregunta31 + pregunta32 + pregunta33 + pregunta34 + pregunta35 + pregunta36 + pregunta37 + pregunta38 + pregunta39 + pregunta40 + pregunta41 + pregunta42)*(SELECT ENC.valorpregunta FROM tiempoma_encuestas.encuestas ENC WHERE ENC.id=2)
                WHERE id=".$this->encuesta133Id;
                $resultadoRegitro = $this->conexionBD->query($this->query);
                if($resultadoRegitro>0)
                {
                    return $this->encuesta133Id;
                }
            }

            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function consultarEncuestas133($resultado=0)
    {
        try
        {
            $this->query="SELECT ENC.id AS encuesta133Id, 
            ENC.nombrealumno AS nombreAlumno, 
            ENC.userid AS userId, 
            ENC.pregunta1, 
            ENC.pregunta2, 
            ENC.pregunta3, 
            ENC.pregunta4, 
            ENC.pregunta5, 
            ENC.pregunta6, 
            ENC.pregunta7, 
            ENC.pregunta8, 
            ENC.pregunta9, 
            ENC.pregunta10, 
            ENC.pregunta11, 
            ENC.pregunta12, 
            ENC.pregunta13, 
            ENC.pregunta14, 
            ENC.pregunta15, 
            ENC.pregunta16, 
            ENC.pregunta17, 
            ENC.pregunta18, 
            ENC.pregunta19, 
            ENC.pregunta20,
            ENC.pregunta21,
            ENC.pregunta22,
            ENC.pregunta23,
            ENC.pregunta24,
            ENC.pregunta25,
            ENC.pregunta26,
            ENC.pregunta27,
            ENC.pregunta28,
            ENC.pregunta29,
            ENC.pregunta30,
            ENC.pregunta31,
            ENC.pregunta32,
            ENC.pregunta33,
            ENC.pregunta34,
            ENC.pregunta35,
            ENC.pregunta36,
            ENC.pregunta37,
            ENC.pregunta38,
            ENC.pregunta39,
            ENC.pregunta40,
            ENC.pregunta41,
            ENC.pregunta42,
            ENC.fecharegistro AS fechaRegistro, 
            ENC.seccionencuesta AS seccionEncuesta, 
            ENC.fechaultimaactualizacion AS fechaUltimaActualizacion, 
            ENC.fechatermino AS fechaTermino,
            ENC.puntosencuesta AS puntosEncuesta,
            ENC.imagengrafica AS imagenGrafica
            FROM 
            tiempoma_encuestas1.encuesta133 ENC
            WHERE 1=1 AND ENC.seccionencuesta<>'cancelada'";
            if($this->encuesta133Id>0)
                $this->query.=" AND ENC.id=".$this->encuesta133Id;
            if($this->userId!="")
                $this->query.=" AND ENC.userid='".$this->userId."'";
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
            {
                if(($this->encuesta133Id>0 || $this->userId!="") && $resultado==0)
                {
                    $rowConsulta = $resultadoConsulta->fetch_object();
                    $this->encuesta133Id = $rowConsulta->encuesta133Id;
                    $this->nombreAlumno = $rowConsulta->nombreAlumno;
                    $this->userId = $rowConsulta->userId;
                    $this->pregunta1 = $rowConsulta->pregunta1;
                    $this->pregunta2 = $rowConsulta->pregunta2;
                    $this->pregunta3 = $rowConsulta->pregunta3;
                    $this->pregunta4 = $rowConsulta->pregunta4;
                    $this->pregunta5 = $rowConsulta->pregunta5;
                    $this->pregunta6 = $rowConsulta->pregunta6;
                    $this->pregunta7 = $rowConsulta->pregunta7;
                    $this->pregunta8 = $rowConsulta->pregunta8;
                    $this->pregunta9 = $rowConsulta->pregunta9;
                    $this->pregunta10 = $rowConsulta->pregunta10;
                    $this->pregunta11 = $rowConsulta->pregunta11;
                    $this->pregunta12 = $rowConsulta->pregunta12;
                    $this->pregunta13 = $rowConsulta->pregunta13;
                    $this->pregunta14 = $rowConsulta->pregunta14;
                    $this->pregunta15 = $rowConsulta->pregunta15;
                    $this->pregunta16 = $rowConsulta->pregunta16;
                    $this->pregunta17 = $rowConsulta->pregunta17;
                    $this->pregunta18 = $rowConsulta->pregunta18;
                    $this->pregunta19 = $rowConsulta->pregunta19;
                    $this->pregunta20 = $rowConsulta->pregunta20;
                    $this->fechaRegistro = $rowConsulta->fechaRegistro;
                    $this->seccionEncuesta = $rowConsulta->seccionEncuesta;
                    $this->fechaUltimaActualizacion = $rowConsulta->fechaUltimaActualizacion;
                    $this->fechaTermino = $rowConsulta->fechaTermino;
                    $this->puntosEncuesta = $rowConsulta->puntosEncuesta;
                    $this->semaforoEncuesta = $rowConsulta->semaforoEncuesta;
                    $this->imagenGrafica = $rowConsulta->imagenGrafica;
                    return $rowConsulta;
                }
                else
                    return $resultadoConsulta;
            }
            else
                return null;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function consultarItemsCategoriaEncuestas133($encuestaId,$categoria)
    {
        try
        {
            $this->query="SELECT PE.id,PE.orden
            FROM tiempoma_encuestas1.preguntasencuestas PE
            WHERE PE.categoria='".$categoria."' AND PE.encuestaid=".$encuestaId;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            return $resultadoConsulta;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function cancelarEncuesta133()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET seccionencuesta='cancelada',
            fechaultimaactualizacion = NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
                return $this->encuesta133Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function guardaImagenGrafica()
    {
        try
        {

            $this->conexionBD->query("SET NAMES 'utf8'");
            $this->query="UPDATE tiempoma_encuestas1.encuesta133
            SET imagenGrafica='".$this->imagenGrafica."',
            fechaultimaactualizacion = NOW()
            WHERE id=".$this->encuesta133Id;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta)
                return $this->encuesta133Id;
            else
                return 0;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

}